### Hierarchy

- TcpSocketConnectOpts
- SocketConstructorOpts
  - TcpNetConnectOpts

## Index

### Properties

- allowHalfOpen
- family
- fd
- hints
- host
- localAddress
- localPort
- lookup
- port
- readable
- timeout
- writable

## Properties

### Optional allowHalfOpen

allowHalfOpen: undefined | false | true

Inherited from SocketConstructorOpts.allowHalfOpen

- Defined in node_modules/@types/node/net.d.ts:16

### Optional family

family: undefined | number

Inherited from TcpSocketConnectOpts.family

- Defined in node_modules/@types/node/net.d.ts:27

### Optional fd

fd: undefined | number

Inherited from SocketConstructorOpts.fd

- Defined in node_modules/@types/node/net.d.ts:15

### Optional hints

hints: undefined | number

Inherited from TcpSocketConnectOpts.hints

- Defined in node_modules/@types/node/net.d.ts:26

### Optional host

host: undefined | string

Inherited from TcpSocketConnectOpts.host

- Defined in node_modules/@types/node/net.d.ts:23

### Optional localAddress

localAddress: undefined | string

Inherited from TcpSocketConnectOpts.localAddress

- Defined in node_modules/@types/node/net.d.ts:24

### Optional localPort

localPort: undefined | number

Inherited from TcpSocketConnectOpts.localPort

- Defined in node_modules/@types/node/net.d.ts:25

### Optional lookup

lookup: LookupFunction

Inherited from TcpSocketConnectOpts.lookup

- Defined in node_modules/@types/node/net.d.ts:28

### port

port: number

Inherited from TcpSocketConnectOpts.port

- Defined in node_modules/@types/node/net.d.ts:22

### Optional readable

readable: undefined | false | true

Inherited from SocketConstructorOpts.readable

- Defined in node_modules/@types/node/net.d.ts:17

### Optional timeout

timeout: undefined | number

- Defined in node_modules/@types/node/net.d.ts:229

### Optional writable

writable: undefined | false | true

Inherited from SocketConstructorOpts.writable

- Defined in node_modules/@types/node/net.d.ts:18

Generated using TypeDoc